Package com.xebialabs.xlrelease.domain.events

# Class CommentUpdatedEvent$

java.lang.Object
scala.runtime.AbstractFunction3<Task,Comment,Comment,CommentUpdatedEvent>
com.xebialabs.xlrelease.domain.events.CommentUpdatedEvent$

All Implemented Interfaces:
  `Serializable`, `scala.Function3<Task,Comment,Comment,CommentUpdatedEvent>`

public class CommentUpdatedEvent$ extends scala.runtime.AbstractFunction3<Task,Comment,Comment,CommentUpdatedEvent> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final CommentUpdatedEvent$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommentUpdatedEvent$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CommentUpdatedEvent`
  `apply(Task task, Comment original, Comment updated)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple3<Task,Comment,Comment>>`
  `unapply(CommentUpdatedEvent x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction3

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final CommentUpdatedEvent$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### CommentUpdatedEvent$

    public CommentUpdatedEvent$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function3<Task,Comment,Comment,CommentUpdatedEvent>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction3<Task,Comment,Comment,CommentUpdatedEvent>`

  - ### apply

    public CommentUpdatedEvent apply(Task task, Comment original, Comment updated)
    Specified by:
      `apply` in interface `scala.Function3<Task,Comment,Comment,CommentUpdatedEvent>`

  - ### unapply

    public scala.Option<scala.Tuple3<Task,Comment,Comment>> unapply(CommentUpdatedEvent x$0)